Skip to content

Album Statuses

The statuses an album can be in.

Resource Overview

Read-only catalog of album statuses. Each status gives the value an album returns in status-key and in last-status.

Base Endpoint
/album-statuses
Resource Type
album-statuses
Access Mode
Read-only Reference

Schema

Attributes

Field Type Description
id integer Unique identifier for the album status
key string Value of the album's status-key
last-status string Value of the album's last-status

Available Filters

By ID

filter[id]=1,2,3

Filter by status IDs

By Key

filter[key]=delivered

Filter by status key

API Endpoints

List Album Statuses

GET
GET /album-statuses

Query Parameters

filter[id] - Filter by status IDs
filter[key] - Filter by status key
page[number] - Page number (default: 1)
page[size] - Items per page (default: 20)

Example Request

GET /album-statuses

Example Response

{
  "data": [
    {
      "type": "album-statuses",
      "id": "1",
      "attributes": {
        "key": "in_progress",
        "last-status": "draft"
      }
    },
    {
      "type": "album-statuses",
      "id": "2",
      "attributes": {
        "key": "in_review",
        "last-status": "in_review"
      }
    }
  ],
  "meta": {
    "page": {
      "currentPage": 1,
      "from": 1,
      "lastPage": 1,
      "perPage": 20,
      "to": 2,
      "total": 2
    }
  }
}

Get Album Status

GET
GET /album-statuses/{id}

Path Parameters

id (required) - The ID of the album status to retrieve

Example Request

GET /album-statuses/5

Example Response

{
  "data": {
    "type": "album-statuses",
    "id": "5",
    "attributes": {
      "key": "delivered",
      "last-status": "delivered"
    }
  }
}